Create Pay-In Deposit Wallet
curl --request POST \
--url https://mapi.zbx.boomfi.xyz/v1/partners/accounts/{account_ref}/payin/address \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'X-API-Nonce: <api-key>' \
--header 'X-API-Signature: <api-key>' \
--data '
{
"chain_id": 8453,
"currency": "USDC",
"deposit_splits": [
{
"account_id": 123,
"account_ref": "<string>",
"address": "<string>",
"pct": "<string>"
}
],
"reference": "customer-123"
}
'import requests
url = "https://mapi.zbx.boomfi.xyz/v1/partners/accounts/{account_ref}/payin/address"
payload = {
"chain_id": 8453,
"currency": "USDC",
"deposit_splits": [
{
"account_id": 123,
"account_ref": "<string>",
"address": "<string>",
"pct": "<string>"
}
],
"reference": "customer-123"
}
headers = {
"X-API-KEY": "<api-key>",
"X-API-Nonce": "<api-key>",
"X-API-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-KEY': '<api-key>',
'X-API-Nonce': '<api-key>',
'X-API-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
chain_id: 8453,
currency: 'USDC',
deposit_splits: [
{account_id: 123, account_ref: '<string>', address: '<string>', pct: '<string>'}
],
reference: 'customer-123'
})
};
fetch('https://mapi.zbx.boomfi.xyz/v1/partners/accounts/{account_ref}/payin/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"account_id": 123,
"address": "<string>",
"chain_id": 123,
"currency": "<string>",
"enabled": true,
"reference": "<string>"
},
"error": true,
"message": "<string>"
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Partners
Create Pay-In Deposit Wallet
Create a permanent pay-in wallet for account. Deposit to this sub-account will be automatically swept to the parent account. Currency and deposit_splits are optional.
POST
/
partners
/
accounts
/
{account_ref}
/
payin
/
address
Create Pay-In Deposit Wallet
Authorizations
Path Parameters
Merchant-defined virtual account reference
Body
application/json
Deposit address request (reference, chain_id, optional currency, optional deposit_splits)
Chain ID for the deposit wallet.
Example:
8453
Optional currency symbol for the deposit wallet.
Example:
"USDC"
Optional deposit split configuration for this pay-in wallet.
Show child attributes
Show child attributes
Customer or external reference used to identify the pay-in sub-account.
Example:
"customer-123"
⌘I